Get Payment Webhooks
curl --request GET \
--url https://checkout.suave.money/api/v1/webhook_subscriptionimport requests
url = "https://checkout.suave.money/api/v1/webhook_subscription"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://checkout.suave.money/api/v1/webhook_subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "List of registered webhook endpoint in test mode for suave.",
"data": [
{
"webhook_id": "ep_2k4BeuMt3z4JZJyRPrJmCHbXBty",
"webhook_url": "webhook endpoint url",
"env_mode": "live",
"created_at": "2024-08-01T17:24:26.899Z",
"updated_at": "2024-08-01T17:24:26.899Z"
}
]
}Payment webhooks
Get Webhooks
Retrieve a list of all webhook subscriptions configured for your vendor.
Use the env_mode query parameter to specify the environment.
GET
/
api
/
v1
/
webhook_subscription
Get Payment Webhooks
Query Parameters
To retrieve webhook subscriptions in test mode, set this to test. For production webhook subscriptions, set it to live. Defaults to live if not specified.
Available options:
test, live ⌘I